## mkinitcpio-40.tar.xz

=== Makefile ===
# Makefile for mkinitcpio
# SPDX-License-Identifier: GPL-2.0-only

VERSION = $(shell ./tools/dist.sh get-version)

all:
	@printf "mkinitcpio now requires meson to build, install, and run tests."
prepare: all
	@echo " Use:"
	@echo "	meson setup build"
install: prepare
	@echo "	meson install -C build"
check: prepare
	@echo "	meson test -C build --suite bats"
shellcheck: prepare
	@echo "	meson test -C build --suite shellcheck"
coverage: prepare
	@echo "	meson test -C build --suite coverage"

clean:
	$(RM) -r build mkinitcpio-$(VERSION).tar.xz.sig mkinitcpio-$(VERSION).tar.xz

dist: mkinitcpio-$(VERSION).tar.xz
mkinitcpio-$(VERSION).tar.xz:
	meson setup build $(MESON_ARGS)
	meson dist -C build
	cp build/meson-dist/$@ $@

mkinitcpio-$(VERSION).tar.xz.sig: mkinitcpio-$(VERSION).tar.xz
	gpg --detach-sign $<

upload: mkinitcpio-$(VERSION).tar.xz mkinitcpio-$(VERSION).tar.xz.sig
	scp $^ repos.archlinux.org:/srv/ftp/other/mkinitcpio

.PHONY: check clean coverage dist install shellcheck prepare upload

=== PKGBUILD ===
pkgname=mkinitcpio-git
pkgver=$(make version)
pkgrel=1
pkgdesc="Modular initramfs image creation utility"
arch=(any)
url="https://git.archlinux.org/mkinitcpio.git/"
license=('GPL')
groups=('base')
conflicts=('mkinitcpio')
provides=("mkinitcpio=$pkgver" "initramfs")
depends=('mkinitcpio-busybox>=1.19.4-2' 'kmod' 'util-linux>=2.23' 'libarchive' 'coreutils'
         'awk' 'bash' 'binutils' 'findutils' 'grep' 'filesystem>=2011.10-1' 'systemd' 'zstd')
makedepends=('asciidoc' 'git' 'sed')
optdepends=('gzip: Use gzip compression for the initramfs image'
            'xz: Use lzma or xz compression for the initramfs image'
            'bzip2: Use bzip2 compression for the initramfs image'
            'lzop: Use lzo compression for the initramfs image'
            'lz4: Use lz4 compression for the initramfs image'
            'mkinitcpio-nfs-utils: Support for root filesystem on NFS'
            'systemd-ukify: Build UKIs using ukify')
backup=(etc/mkinitcpio.conf)

build() {
  make -C "$startdir"
}

package() {
  make -C "$startdir" DESTDIR="$pkgdir" install
}
